C------------------------------------------------------------------------------

      SUBROUTINE NPPRES

C------------------------------------------------------------------------------

C     DO-NOTHING PRESSURE PERTURBATION MODEL

C     Compile with options /c (compile only) and /4Yb (error tracing)

      implicit double precision (a-h,o-z)

C     COMMON DECK "WW" INSERTED HERE

      COMMON/WW/dum(10),MAXW,W(1000)

C

C     DELTA PRESSURE        575-599

      EQUIVALENCE (W(575),DPMODEL),(W(576),DPFORM),(W(577),DPID)

C

C     COMMON DECK "PP" INSERTED HERE

      real*8 MODP

      COMMON/PP/MODP(4),P,PPT,PPR,PPTH,PPPH

C

C     COMMON DECK "CB20" INSERTED HERE

      INTEGER DPMX,DPNTBL,DPITBL,DPFRMTB,IDSDP(10)

      COMMON/B20/DPMX,DPNTBL(10),DPITBL(10),DPFRMTB(10),DPGP(11)

      EQUIVALENCE (DPGP,IDSDP),(ANDP,DPGP(11))

      INTEGER DPFMX,DPFNTBL(10),DPFITBL(10),DPFFRMTB(10)

      DATA DPFMX/1/

      DATA DPFNTBL/1,11,8*0/

      DATA DPFITBL/1,9*0/

      DATA DPFFRMTB/1,9*0/

      DATA RECOGDP/0.d0/

C                           

      ENTRY SETPPRES

      DPMX=DPFMX             

      CALL IMOVE(DPNTBL,DPFNTBL,10)  

      CALL IMOVE(DPITBL,DPFITBL,10)  

      CALL IMOVE(DPFRMTB,DPFFRMTB,10)

      RETURN                        

C

      ENTRY IPPRES

      IF(idint(RECOGDP) .NE. idint(DPMODEL))

     1    CALL RERROR('DPPRES ','WRNG MODEL',RECOGDP)

      MODP(3)=6HNPPRES

      MODP(4)=DPID

      RETURN

C

      ENTRY PPRES

      RETURN

      END

